db9_gpio_rpi Rpi2, Version 3

Home Forums RetroPie Project Controller Configuration in RetroPie db9_gpio_rpi Rpi2, Version 3

This topic contains 2 replies, has 2 voices, and was last updated by Profile photo of dabone dabone 1 year, 8 months ago.

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #107259
    Profile photo of dabone
    dabone
    Participant

    I’m trying to reload my retropie with the new version, but I can’t seem to get the db9_gpio_rpi driver to work.

    Here’s the steps I’ve been using..

    write out the image to the sd.
    boot, then resize partition.
    then the following

    apt-get update
    apt-get upgrade
    rpi-update

    after this I’m at version 4.1.9-v7+.

    I then sudo retropie-setup and select setup/config and the gamecon & db9 drivers.
    After install, I then try the command

    modprobe –first-time db9_gpio_rpi map=0,0

    which returns the error…

    ERROR: could not insert ‘db9_gpio_rpi’: Exec format error

    the kern.log shows

    Oct 4 15:42:54 retropie kernel: [ 1065.925490] db9_gpio_rpi: disagrees about version of symbol module_layout

    Any suggestions?

    Later,
    dabone

    #107264
    Profile photo of herbfargus
    herbfargus
    Member

    The wiki is a useful resource:

    https://github.com/RetroPie/RetroPie-Setup/wiki/Db9_gpio_rpi

    If you don’t run rpi-update does it work?

    #107267
    Profile photo of dabone
    dabone
    Participant

    Ok, got it working.

    Fresh install,
    resize partition
    reboot
    apt-get update
    apt-get upgrade
    update the retropie-setup script
    reboot
    Then I installed the driver with no problems.

    Thanks, I thought rpi-update was required.

    Later,
    dabone

Viewing 3 posts - 1 through 3 (of 3 total)

Forums are currently read only - please visit the new RetroPie forums at https://retropie.org.uk/forums/

Skip to toolbar